Skip to content
Browse files

update multi_json dependency to eliminate deprecated MultiJson.decode

  • Loading branch information...
1 parent 6e08279 commit 161101adf88562cbba804bf57d641d532290317a @andrewmbenton andrewmbenton committed May 2, 2012
Showing with 2 additions and 2 deletions.
  1. +1 −1 lib/twilio-ruby/rest/client.rb
  2. +1 −1 twilio-ruby.gemspec
View
2 lib/twilio-ruby/rest/client.rb
@@ -211,7 +211,7 @@ def connect_and_send(request) # :doc:
begin
response = @connection.request request
@last_response = response
- object = MultiJson.decode response.body if response.body
+ object = MultiJson.load response.body if response.body
if response.kind_of? Net::HTTPServerError
raise Twilio::REST::ServerError, object['message']
end
View
2 twilio-ruby.gemspec
@@ -15,7 +15,7 @@ Gem::Specification.new do |s|
s.files = `git ls-files`.split("\n")
s.test_files = Dir['test/**/*.rb']
- s.add_dependency('multi_json', '>= 1.0.3')
+ s.add_dependency('multi_json', '>= 1.3.0')
s.add_dependency('builder', '>= 2.1.2')
s.add_dependency('jwt', '>= 0.1.2')

0 comments on commit 161101a

Please sign in to comment.
Something went wrong with that request. Please try again.